﻿using System.Threading.Tasks;
using Was.OrcSearch.Metadata.Interfaces;
using Was.OrcSearch.Models;

namespace Was.OrcSearch.Metadata
{
    //using Catel.Threading;

    public class MetadataProvider : IMetadataProvider
    {
        public virtual Task<ReflectionObjectWithMetadata> GetMetadataAsync(object obj)
        {
            // By default we use reflection, user can always register their own IMetadataProvider
            return Task.FromResult(new ReflectionObjectWithMetadata(obj));
        }
    }
}